Forum debian-fr.org

Rechercher:

* Connexion   * M’enregistrer

* FAQ    * Rechercher





Poster un nouveau sujet Répondre au sujet  [ 15 messages ] 
Auteur Message
MessagePosté: 03 Mar 2008 09:42 
Bonjour à tous,

Je viens d'installer debian etch et je n'arrive pas à acceder à ma partition ntfs. J'ai lu un sujet pareil sur le forum et qui est resolu. Pour ce que j'ai compris je dois installer ntf-3g. Mais lorsque je lance l'installation j'ai le message suivant :

apt-get install nfts-3g
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
E: Impossible de trouver le paquet nfts-3g
Et voila ce que donne /etc/fstab

# /etc/fstab: static file system information.
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
/dev/hdb4 / ext3 defaults,errors=remount-ro 0 1
/dev/hdb3 /boot ext3 defaults 0 2
/dev/hda1 none swap sw 0 0
/dev/hda3 none swap sw 0 0
/dev/hdd /media/cdrom0 udf,iso9660 user,noauto 0 0
/dev/fd0 /media/floppy0 auto rw,user,noauto 0 0


Dernière édition par suza le 07 Mar 2008 00:41, édité 1 fois.

Marquer le sujet non resolu
Haut
  
 
MessagePosté: 03 Mar 2008 09:56 
Hors ligne
Dieu du clavier.
Avatar de l’utilisateur

Inscription: 08 Sep 2004 22:53
Messages: 22412
Localisation: CAEN
Il te faut un fichier de depots sources.list plus fournit que celui par défaut qui est minimaliste, pour avoir accés au paquets qui te manquent:
http://forum.debian-fr.org/viewtopic.php?f=8&t=5659

_________________
«l'homme n'est pas une marchandise comme les autres»
Nikolaë Sarköcescu, 1955-, "Discours de campagne, St Etienne 9/11/2006"


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 03 Mar 2008 10:27 
Merci pour le lien, je fais les manipulations. A toute à l'heure pour le resultat


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 03 Mar 2008 17:16 
J'ai toujours un message d'erreur. Mais j'explique ce que j'ai. J'ai éditer le fichier /etc/apt/sources.list et j'ai coller tous les liens, puis editer le fichier /etc/apt/preferences et coller tous les éléments qui figurent sur le lien viewtopic.php?f=8&t=5659. Juste après j'ai essayé l'installation de ntfs-3g et il m'a affiché à nouveau un message d'erreur me demandant de faire apt-get update pour corriger cela. Mais après ce la il m'indique encore :

W: GPG error: http://www.debian-multimedia.org etch Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907
W: GPG error: http://www.debian-multimedia.org lenny Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907
W: GPG error: http://www.debian-multimedia.org sid Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907
W: GPG error: http://www.debian-multimedia.org experimental Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 07DC563D1F41B907
W: Duplicate sources.list entry http://ftp.fr.debian.org etch/main Packages (/var/lib/apt/lists/ftp.fr.debian.org_debian_dists_etch_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.debian.org etch/updates/main Packages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.debian.org etch/updates/contrib Packages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_contrib_binary-i386_Packages)
E: Dynamic MMap ran out of room
E: Dynamic MMap ran out of room
E: Erreur apparue lors du traitement de libcupsimage2 (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/security.debian.org_dists_lenny_updates_main_binary-i386_Packages
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 03 Mar 2008 17:25 
Hors ligne
Nouvel utilisateur

Inscription: 06 Mar 2007 18:55
Messages: 51
Localisation: Paris
Bonjour,

Tu n'as peut être pas lu tout le premier post

Citation:
Une précaution tout de même, parceque le problême m'est tombé dessus: il ne faut pas simplement copier/coller le contenu du fichier preferences, parceque ça ajoute des espaces au début de chaque ligne qu'il faut imperativement supprimer, car apt n'aime pas du tout.
Comme tout passe en 500, on se retrouve vite avec une belle sid matinée d'experimental. Heureusement que je fais toujours un apt-cache policy pour vérifier...
Enfin une fois que c'est bon...
Pour les problèmes de clé:c'est :arrow: ici
Pour les problèmes "Dynamic mmap ran out of room" c'est :arrow: ici


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 03 Mar 2008 17:32 
Hors ligne
Très bavard(e)!
Avatar de l’utilisateur

Inscription: 02 Déc 2007 19:43
Messages: 382
Localisation: sud-Gironde
suza a écrit:
Et voila ce que donne /etc/fstab

# /etc/fstab: static file system information.
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
/dev/hdb4 / ext3 defaults,errors=remount-ro 0 1
/dev/hdb3 /boot ext3 defaults 0 2
/dev/hda1 none swap sw 0 0
/dev/hda3 none swap sw 0 0
/dev/hdd /media/cdrom0 udf,iso9660 user,noauto 0 0
/dev/fd0 /media/floppy0 auto rw,user,noauto 0 0

Je ne vois aucune partoche ntfs déclarée.

_________________
Core 2 duo E7200 - Nvidia 9600 GT : Debian Sid - Gnome 3.4
Athlon 2000+ - Nvidia 5200 FX : Debian Lenny - Gnome 2.22
MSI U-100 : Debian Lenny - Gnome 2.22


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 03 Mar 2008 18:04 
J'ai fait : gpg --keyserver pgpkeys.mit.edu --recv-key 1F41B907 et voila le resultat :
gpg: requesting key 1F41B907 from hkp server pgpkeys.mit.edu
gpg: key 1F41B907: duplicated user ID detected - merged
gpg: /root/.gnupg/trustdb.gpg: trustdb created
gpg: key 1F41B907: public key "Christian Marillat <marillat@debian.org>" imported
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg: imported: 1

ensuite : gpg -a --export 1F41B907 | sudo apt-key add -
OK

Mais lorsque je fais apt-get install ntfs-3g j'ai à nouveau :

Lecture des listes de paquets... Erreur !
W: Duplicate sources.list entry http://ftp.fr.debian.org etch/main Packages (/va r/lib/apt/lists/ftp.fr.debian.org_debian_dists_etch_main_binary-i386_Packages)
W: Duplicate sources.list entry http://security.debian.org etch/updates/main Pac kages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_main_binary-i38 6_Packages)
W: Duplicate sources.list entry http://security.debian.org etch/updates/contrib Packages (/var/lib/apt/lists/security.debian.org_dists_etch_updates_contrib_bina ry-i386_Packages)
E: Dynamic MMap ran out of room
E: Dynamic MMap ran out of room
E: Erreur apparue lors du traitement de libcupsimage2 (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/security.debian.org_dists_lenny_upd ates_main_binary-i386_Packages
E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lu s.


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 03 Mar 2008 18:05 
Pour ce qui est de /etc/fstab, je l'ai remarqué car j'ai deux partitions ntfs hdb1 et hdb5 qui ne figure pas dans la liste


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 03 Mar 2008 18:08 
Hors ligne
Dieu du clavier.
Avatar de l’utilisateur

Inscription: 08 Sep 2004 22:53
Messages: 22412
Localisation: CAEN
la correction de l'erreur "dynamic mmap" est aussi indiquée dans le tuto.
Par ailleurs, le sources.list du tuto remplace le précèdent, il ne s'ajoute pas à ce que tu avais avant, et pour finir, il faut faire un update aprés avoir fait la config pour l'erreur mmap.

_________________
«l'homme n'est pas une marchandise comme les autres»
Nikolaë Sarköcescu, 1955-, "Discours de campagne, St Etienne 9/11/2006"


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 03 Mar 2008 18:32 
Je viens de faire cela et je pense que j'ai un resultat satifaisant tout de même car le gestionnaire de mises à jour m'indique maintenant des mises à jour disponible que j'ai même installé.

Par contre je n'arrive toujours pas à installer ntfs-3g et n'accède toujours pas à mes partitions

apt-get install ntfs-3g
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
ntfs-3g: Dépend: libc6 (>= 2.6.1-1) mais 2.3.6.ds1-13etch5 devra être installé
Dépend: libfuse2 (>= 2.6) mais 2.5.3-4.4 devra être installé
Dépend: libntfs-3g16 mais ne sera pas installé
E: Paquets défectueux


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 04 Mar 2008 09:40 
Hors ligne
Dieu du clavier.
Avatar de l’utilisateur

Inscription: 08 Sep 2004 22:53
Messages: 22412
Localisation: CAEN
Ah, ben je viens de regarder, et ntfs-3g n'existe qu'en lenny ou en sid.
Donc, si tu n'as pas besoin d'écrire dans ta partition, tu laisses comme ça, et tu utilises le type "ntfs" pour ton fstab, ou bien tu passes en lenny carrément, et ça se fait facilement en prenant les preferences pour lenny dans le tuto (verifier comme d'habitude qu'il n'y a pas de priorité en 500), et en faisant ensuite un apt-get dist-upgrade.

_________________
«l'homme n'est pas une marchandise comme les autres»
Nikolaë Sarköcescu, 1955-, "Discours de campagne, St Etienne 9/11/2006"


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 04 Mar 2008 10:38 
Hors ligne
Très bavard(e)!
Avatar de l’utilisateur

Inscription: 02 Déc 2007 19:43
Messages: 382
Localisation: sud-Gironde
Matt a raison.
suza a écrit:
Pour ce qui est de /etc/fstab, je l'ai remarqué car j'ai deux partitions ntfs hdb1 et hdb5 qui ne figure pas dans la liste

Mais il faut surtout éditer le fstab et déclarer tes partoches, personne ne le fera à ta place. :wink:

_________________
Core 2 duo E7200 - Nvidia 9600 GT : Debian Sid - Gnome 3.4
Athlon 2000+ - Nvidia 5200 FX : Debian Lenny - Gnome 2.22
MSI U-100 : Debian Lenny - Gnome 2.22


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 05 Mar 2008 19:31 
Merci encore pour l'info. Je viens de passer sous lenny, mais au demarrage j'ai un autre soucis. J'ai seulement la ligne de commande, et une fois authentifié je fais startx mais j'ai une page bleu grisée avec le curseur de la souris et plus rien.

Que faire dans ce cas? Merci encore pour votre aide.

Voici les informations que j'ai pu avoir :

Before reporting problems, cheick http://wiki.x.org
to make sure that you have the latest version
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown
(==) Log file:"var/log/Xorg.O.log", Time: Wed Mar 5:23:33:50 2008
(==) Using config file:"/etc/X11/xorg.conf"
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
(II) Module already built-in
expected keysym, got XF86KbdLignhtOnOff:line 70 of pc
expected keysym, got XF86KbdBrightnessDown:line 71 of pc
expected keysym, got XF86KbdBrightnessUp:line 72 of pc
The XKEYBORD keymap compiler (xkbcomp) reports:
>Warning: Type "ONE_LEVEL" has 1 levels,but <RALT> has 2 sy..................
> Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list !
/var/lib/defoma/x-ttcidfont-conf.d/di........... removing from list !
FreeFontPath: FPE "/usr/share/fonts/X11/misc" refcount is 2, should be............
xinit: unexpected signal 2


Marquer le sujet non resolu
Haut
  
 
MessagePosté: 06 Mar 2008 03:20 
Hors ligne
Vraiment, particulièrement bavard(e)!
Avatar de l’utilisateur

Inscription: 20 Aoû 2006 04:50
Messages: 2312
Localisation: Metz
J'arrive un peu tard mais pour installer ntfs-3g sur une etch la semaine dernière, j'ai utilisé les backports.
ça a fonctionné de suite.
C'est mal les backports ?

_________________
# aptitude install anarchism
# iceweasel /usr/share/doc/anarchism/html/index.html
---
(- anargeek inside -)


Marquer le sujet non resolu
Haut
 Profil  
 
MessagePosté: 06 Mar 2008 09:47 
Hors ligne
Dieu du clavier.
Avatar de l’utilisateur

Inscription: 08 Sep 2004 22:53
Messages: 22412
Localisation: CAEN
suza a écrit:
Merci encore pour l'info. Je viens de passer sous lenny, mais au demarrage j'ai un autre soucis. (...)
Nouveau soucis => nouveau fil de discution. Mets celui ci en résolu, et ouvres en un autre.

AnatomicJC: non, c'est trés bien les backports, pour un serveur. Mais je ne sais pas comment ça cohabite avec un "sources.list au carré": les versions backportées ont les mêmes numéro d'ordre que celles des versions lenny ou sid, mais ne se comportent pas forcément de la même manière si tu installes un paquet lenny ou sid qui dépend d'une version que tu as prise en backport.

_________________
«l'homme n'est pas une marchandise comme les autres»
Nikolaë Sarköcescu, 1955-, "Discours de campagne, St Etienne 9/11/2006"


Marquer le sujet non resolu
Haut
 Profil  
 
Afficher les messages postés depuis:  Trier par  
Poster un nouveau sujet Répondre au sujet  [ 15 messages ] 

Index du forum » Forums d'aide » Support Debian


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 0 invités


Vous ne pouvez pas poster de nouveaux sujets
Vous ne pouvez pas répondre aux sujets
Vous ne pouvez pas éditer vos messages
Vous ne pouvez pas supprimer vos messages
Vous ne pouvez pas joindre des fichiers

Rechercher:
Aller à:  
Flux RSS Flux RSS Liste des flux Liste des flux
Powered by phpBB® Forum Software © phpBB Group
Traduction par: phpBB-fr.com
SEO
[ Time : 0.332s | 14 Queries | GZIP : Off ]